# Record Class CLNSectionDescription

java.lang.Object
java.lang.Record
com.io7m.calino.api.CLNSectionDescription

Record Components:
  `identifier` - The section type identifier
  `size` - The size of the section data

public record CLNSectionDescription(long identifier, long size) extends Record
A description of a section.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNSectionDescription(long identifier, long size)`
  Creates an instance of a `CLNSectionDescription` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `identifier()`
  Returns the value of the `identifier` record component.
  `long`
  `size()`
  Returns the value of the `size` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNSectionDescription

    public CLNSectionDescription(long identifier, long size)
    Creates an instance of a `CLNSectionDescription` record class.
    Parameters:
      `identifier` - the value for the `identifier` record component
      `size` - the value for the `size` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### identifier

    public long identifier()
    Returns the value of the `identifier` record component.
    Returns:
      the value of the `identifier` record component

  - ### size

    public long size()
    Returns the value of the `size` record component.
    Returns:
      the value of the `size` record component